> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lien Filing Documents

> This endpoint downloads a PDF document associated with a specific lien filing record.
The PDF document contains detailed information about the lien filing.



## OpenAPI

````yaml /api-reference/openapi.json get /lien_searches/{liens_search_request_id}/filings/{filing_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /lien_searches/{liens_search_request_id}/filings/{filing_id}:
    get:
      tags:
        - Lien Search
      summary: Get Lien Filing Documents
      description: >-
        This endpoint downloads a PDF document associated with a specific lien
        filing record.

        The PDF document contains detailed information about the lien filing.
      operationId: >-
        get_lien_filing_documents_lien_searches__liens_search_request_id__filings__filing_id__get
      parameters:
        - name: liens_search_request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Liens Search Request ID
            description: The unique identifier of the liens search request.
            examples:
              - a7a2e47b-612e-414a-9c2c-75ce09219da7
          description: The unique identifier of the liens search request.
        - name: filing_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Liens Filing ID
            description: The unique identifier of the liens filing record.
            examples:
              - 02b59008-b22f-4825-a67b-c1f0654c3e5d
          description: The unique identifier of the liens filing record.
      responses:
        '307':
          description: Download the liens documents as a combined PDF file.
          content:
            application/json:
              schema: {}
        '404':
          description: The lien filing document does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: ResourceNotFound
                description: Could not locate the resource for the given URI.
                examples:
                  - code: 1
                    message: Could not locate the resource for the given URI.
                    metadata: {}
        '422':
          description: The lien filing document is still being processed. Try again later.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: LienFilingDocumentStillProcessing
                description: >-
                  The lien filing document is still being processed. Please try
                  again later.
                examples:
                  - code: 800
                    message: >-
                      The lien filing document is still being processed. Please
                      try again later.
                    metadata: {}
      security:
        - APIKeyHeader: []
components:
  schemas:
    APIError:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - code
        - message
      title: APIError
      description: >-
        APIError is a Pydantic model for standardizing error responses from the
        API.


        This class is used internally by APIException for JSON serialization.

        Users should typically work with APIException directly in exception
        catalogs.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````